> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the result for an approved or failed request ## OpenAPI ````json POST /v1/approval_requests/{request-id}/result { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/approval_requests/{request-id}/result": { "post": { "tags": [ "ApprovalRequests" ], "summary": "Get the result for an approved or failed request.", "operationId": "getApprovalRequestResult", "parameters": [ { "$ref": "#/components/parameters/RequestId" } ], "responses": { "200": { "description": "Details about the specified approval request result.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApprovableResult" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Reader,Writer,Manager" } } }, "components": { "parameters": { "RequestId": { "name": "request-id", "in": "path", "description": "Approval Request Identifier", "required": true, "schema": { "type": "string", "format": "uuid" } } }, "schemas": { "ApprovableResult": { "required": [ "status", "body" ], "type": "object", "properties": { "status": { "type": "integer", "description": "The HTTP status code for this partial request." }, "body": { "type": "object" } }, "description": "Result of an approval request" } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````